Skip to main content
GET
/
v2
/
issues
/
{id}
Get review issue
curl --request GET \
  --url https://api.ghostsecurity.ai/v2/issues/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.ghostsecurity.ai/v2/issues/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.ghostsecurity.ai/v2/issues/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "commit_link": "https://github.com/owner/repo/commit/abc123",
  "commit_sha": "abc123",
  "created_at": "2025-01-01T00:00:00Z",
  "description": "This is a SQL injection vulnerability",
  "file_location_link": "https://github.com/owner/repo/blob/abc123/path/to/file#L42",
  "file_path": "/path/to/file",
  "first_seen_at": "2025-01-01T00:00:00Z",
  "id": "csUT18jx0mY",
  "last_seen_at": "2025-01-01T00:00:00Z",
  "line_number": 42,
  "pr_number": 1,
  "provider": "github",
  "repo_id": "08PB3zptlr8",
  "repo_name": "repo",
  "repo_owner": "owner",
  "resolved_at": "2025-01-01T00:00:00Z",
  "resolved_by": "abc123",
  "review_id": "csUT18jx0mY",
  "seen_in_commits": [
    "5ecf8d2",
    "c13901b"
  ],
  "severity": "high",
  "status": "open",
  "title": "SQL Injection Vulnerability",
  "updated_at": "2025-01-01T00:00:00Z"
}
{
"error": "Invalid request body"
}
{
"error": "Unauthorized"
}
{
"error": "Resource not found"
}
{
"error": "Internal server error"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Review Issue ID

Response

OK

Review issue

Example:

"https://github.com/owner/repo/commit/abc123"

commit_sha
string
Example:

"abc123"

created_at
string
Example:

"2025-01-01T00:00:00Z"

description
string
Example:

"This is a SQL injection vulnerability"

Example:

"https://github.com/owner/repo/blob/abc123/path/to/file#L42"

file_path
string
Example:

"/path/to/file"

first_seen_at
string
Example:

"2025-01-01T00:00:00Z"

id
string
Example:

"csUT18jx0mY"

last_seen_at
string
Example:

"2025-01-01T00:00:00Z"

line_number
integer
Example:

42

pr_number
integer
Example:

1

provider
string
Example:

"github"

repo_id
string
Example:

"08PB3zptlr8"

repo_name
string
Example:

"repo"

repo_owner
string
Example:

"owner"

resolved_at
string
Example:

"2025-01-01T00:00:00Z"

resolved_by
string

commit SHA

Example:

"abc123"

review_id
string
Example:

"csUT18jx0mY"

seen_in_commits
string[]
Example:
["5ecf8d2", "c13901b"]
severity
string
Example:

"high"

status
string

"open", "resolved"

Example:

"open"

title
string
Example:

"SQL Injection Vulnerability"

updated_at
string
Example:

"2025-01-01T00:00:00Z"